/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: ElmoTaxonomyVocabulary.java,v e1a035f5bdff 2010/07/22 22:49:17 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.taxonomy.elmo;

import com.eaio.uuid.UUID;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: ElmoTaxonomyVocabulary.java,v e1a035f5bdff 2010/07/22 22:49:17 fabrizio $
 *
 ******************************************************************************/
public final class ElmoTaxonomyVocabulary
  {
    private ElmoTaxonomyVocabulary()
      {
      }

    public static final String NS_BASE = "http://bluebill.tidalwave.it/rdf/taxo/2010/07/20#";

    public static final String URI_TAXONOMY = NS_BASE + "TaxonomyScheme";

    public static final String URI_TAXONOMY_CONCEPT = NS_BASE + "TaxonomyConcept";

    public static final String URI_ANONYMOUS_TAXON = NS_BASE + "AnonymousTaxon";

    public static final String URI_TAXONOMY_SYNONYM = NS_BASE + "synonym";
    
    public static final String ID_TAXONOMY_PREFIX = "urn:bluebill.tidalwave.it:taxonomy/";

    public static final String ID_CONCEPT_PREFIX = "urn:bluebill.tidalwave.it:taxon-";

    public static final String ID_TAXONOMY_STRUCTURE_PREFIX = "urn:bluebill.tidalwave.it:TaxonomyStructure#";
    
    public static String createConceptId()
      {
        return ID_CONCEPT_PREFIX + new UUID();
      }
  }
